Name:           xmoto
Version:        0.6.1
Release:        %mkrel 2
Summary:        A challenging 2D motocross platform game
Group:          Games/Arcade
License:        GPLv2+
Url:            http://xmoto.sourceforge.net/
Source0:        https://github.com/xmoto/xmoto/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.png
Patch0:         xmoto-0.6.1-mga-sysdata.patch

BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(ode)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libxdg-basedir)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(zlib)

# Use fonts-ttf-dejavu package rather than included fonts
Requires:       fonts-ttf-dejavu

%description
X-Moto is a challenging 2D motocross platform game, where physics play
an all important role in the gameplay. You need to control your bike
to its limit, if you want to have a chance finishing the more
difficult of the challenges.
First you'll try just to complete the levels, while later you'll
compete with yourself and others, racing against the clock.

%prep
%autosetup -p1

sed -i 's|DESTINATION bin|DESTINATION games|' src/CMakeLists.txt
sed -i 's|share/xmoto|share/games/xmoto|' bin/CMakeLists.txt extra/CMakeLists.txt

%build
%cmake \
        -DPREFER_SYSTEM_BZip2=ON \
        -DPREFER_SYSTEM_Lua=ON \
        -DPREFER_SYSTEM_ODE=ON \
        -DPREFER_SYSTEM_XDG=ON
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=X-Moto
Comment=Motocross platform game
Comment[fr]=Jeu de plateforme de motocross
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

# Remove included DejaVu fonts and replace with symlinks to fonts-ttf-dejavu packaged fonts
rm -f %{buildroot}%{_gamesdatadir}/%{name}/Textures/Fonts/DejaVu*
ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_gamesdatadir}/%{name}/Textures/Fonts/DejaVuSans.ttf
ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSansMono.ttf %{buildroot}%{_gamesdatadir}/%{name}/Textures/Fonts/DejaVuSansMono.ttf

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
install %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 64 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 48 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc ChangeLog README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/xmoto.xpm
%{_mandir}/man6/%{name}.6*


%changelog
* Thu Dec 17 2020 danf <danf> 0.6.1-2.mga8
+ Revision: 1659355
- Load the bin file from its nonstandard location

* Tue Aug 11 2020 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1613229
- new version: 0.6.1

* Sat Feb 15 2020 umeabot <umeabot> 0.5.11-11.mga8
+ Revision: 1524233
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Mar 27 2019 daviddavid <daviddavid> 0.5.11-10.mga7
+ Revision: 1380497
- rebuild for new ode 0.16

* Sun Sep 23 2018 umeabot <umeabot> 0.5.11-9.mga7
+ Revision: 1301946
- Mageia 7 Mass Rebuild

* Fri Oct 06 2017 daviddavid <daviddavid> 0.5.11-8.mga7
+ Revision: 1169564
- patch0: fix build with gcc7

* Thu May 25 2017 akien <akien> 0.5.11-7.mga6
+ Revision: 1104628
- Rebuild for ode 0.15.2

* Sun Nov 13 2016 akien <akien> 0.5.11-6.mga6
+ Revision: 1066991
- Rebuild for new libode

* Tue Feb 09 2016 umeabot <umeabot> 0.5.11-5.mga6
+ Revision: 951387
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 akien <akien> 0.5.11-4.mga5
+ Revision: 806577
- Use system ODE instead of bundled one

* Wed Oct 15 2014 umeabot <umeabot> 0.5.11-3.mga5
+ Revision: 747017
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- switch back to lua-5.1

* Sun Jun 29 2014 tv <tv> 0.5.11-2.mga5
+ Revision: 641017
- rebuild with lua-5.2

* Wed Apr 02 2014 dams <dams> 0.5.11-1.mga5
+ Revision: 611325
- new version 0.5.11

* Sat Oct 19 2013 umeabot <umeabot> 0.5.10-7.mga4
+ Revision: 533599
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 0.5.10-6.mga4
+ Revision: 474060
- rebuild for new ode

* Mon Jun 03 2013 fwang <fwang> 0.5.10-5.mga4
+ Revision: 436270
- rebuild for new libpng

* Wed Mar 13 2013 barjac <barjac> 0.5.10-4.mga3
+ Revision: 402728
- Require fonts-ttf-dejavu for fonts
- remove DejaVu fonts from package
- symlink to fonts-ttf-dejavu fonts

* Mon Jan 14 2013 umeabot <umeabot> 0.5.10-3.mga3
+ Revision: 387222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 03 2012 dams <dams> 0.5.10-2.mga3
+ Revision: 266992
- add a patch to fix build with gcc47 (thanks to rtp)
- really fix icon size and clean specfile

* Tue Jun 26 2012 dams <dams> 0.5.10-1.mga3
+ Revision: 263951
- new version 0.5.10
- remove uneeded patch
- update icon size to have a better GNOME3 experience

* Sun Nov 13 2011 dams <dams> 0.5.9-1.mga2
+ Revision: 167348
- update BR add 'libxml2'
- new version 0.5.9

* Thu Sep 15 2011 fwang <fwang> 0.5.7-1.mga2
+ Revision: 144044
- fix build with latest png

* Mon Apr 11 2011 dams <dams> 0.5.7-1.mga1
+ Revision: 83184
- Update to 0.5.7

* Thu Apr 07 2011 dams <dams> 0.5.6-1.mga1
+ Revision: 81684
- Update to 0.5.6

* Wed Mar 23 2011 dams <dams> 0.5.5-2.mga1
+ Revision: 75902
- Fix new icon

* Wed Mar 23 2011 dams <dams> 0.5.5-1.mga1
+ Revision: 75895
- New version 0.5.5 and change icone

* Thu Jan 20 2011 blino <blino> 0.5.3-3.mga1
+ Revision: 25186
- use real vendor instead of hardcoded name
- imported package xmoto

